Package com.xebialabs.xlrelease.plugins.dashboard.domain

## Enum TileScope

- java.lang.Object
- - java.lang.Enum<TileScope>
  - - com.xebialabs.xlrelease.plugins.dashboard.domain.TileScope

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TileScope>`

      public enum TileScope
      extends java.lang.Enum<TileScope>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FOLDER` |
    `GLOBAL` |
    `HOME` |
    `RELEASE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `ALL_VALUES` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValue()` |
    `static TileScope` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TileScope[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RELEASE

          public static final TileScope RELEASE

    - #### FOLDER

          public static final TileScope FOLDER

    - #### GLOBAL

          public static final TileScope GLOBAL

    - #### HOME

          public static final TileScope HOME

  - ### Field Detail

    - #### ALL_VALUES

          public static final java.util.List<java.lang.String> ALL_VALUES

  - ### Method Detail

    - #### values

          public static TileScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TileScope c : TileScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TileScope valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()